function [alpha,gama] = SaSGfit_manual(data,sigma);

alphas = [0.5:0.125/4:1.9]';%.0125
[t,fi] = sasecf([1:50],data);
fi = abs(fi);
[fi,t] = remfreqReg(t,fi);

for i=1:length(alphas)
    gamas(i) = max(SaSGecfMomFit(data,2:4,alphas(i),sigma),eps);
    res(i) = sum((fi - exp(-gamas(i)*t.^alphas(i) - (sigma^2/2)*t.^2)).^2);
end

%gamas'

[minres,ind] = min(res);
alpha = alphas(ind);
gama = gamas(ind);